import {select, arc} from 'd3';
 
const svg = select('svg') ; 

const circle = svg.append('circle');

const height = +svg.attr('height');
const width = +svg.attr('width');

circle // or const circle = svg.append('circle');
  .attr('r', height/2)
	.attr('cx', width/2)
	.attr('cy',height/2)
	.attr('fill','yellow')
	.attr('stroke','black');

const eyeSpacing = 100;
const eyeYOffset = 70

const leftEye = svg.append('circle')
	.attr('r',30)
	.attr('cx',width/2- eyeSpacing)
	.attr('cy',height/2- eyeYOffset)
	.attr('fill', 'black');

const rightEye = svg.append('circle')
	.attr('r',30)
	.attr('cx',width/2+ eyeSpacing)
	.attr('cy',height/2-eyeYOffset)
	.attr('fill', 'black');

const g = svg.append('g')
	.attr('transform', 'translate(478,300)');

const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius: 150,
    outerRadius: 170,
    startAngle: Math.PI/2,
    endAngle: Math.PI * 3/2
  }));
